### map
---

> 属性

```js
	layers // 图层
		type: Array
		default: []
		
			EX: 
			[
				{
					name: '北极之心',
					url: 'http://t{s}.tianditu.cn/DataServer?T=img_w&X={x}&Y={y}&L={z}',
					subdomains: ['0', '1', '2', '3', '4', '5', '6', '7']
				},
				{
					name: '北极之心',
					url: 'http://t{s}.tianditu.cn/DataServer?T=img_w&X={x}&Y={y}&L={z}',
				},
			]
			
			'说明'： subdomains 配置XYZ,默认['0', '1', '2', '3', '4', '5', '6', '7']
			
	points // 标记点
		type: Array
		default: []
		
			EX:
			[
				[38.05, 114.48],
				[38.05, 114.48]
			],
			
	pointsGroup // 标记点提示
		type: Array,
		default: []
		
			EX: 
				[
					{
						htmls: `<h1>6666</h1>`
					},
					{
						htmls: `<div class='box'>
									<h1>标题</h1>
									<content><content>
									<footer><footer>
								</div>`
					},
				]

	bound // 地图方位控制
		type: Array
		default:[ // 默认 河北省范围限制
					[43.186231, 118.422797],
					[40.081638, 120.796048],
					[35.605063, 114.982503],
					[38.41883, 112.811622]
				]
				
	center // 地图中心点位置
		type: Array,
		default: [38.05, 114.48] // 默认中心点位 石家庄
		
	geoJSONData //geojson 数据
		type: Obeject
		
	zoom // 地图的缩放系数
		type: Number
		default: 7
		
	minZoom // 最小缩放系统
		type: Number
		default: 6
		
	maxZoom // 最大缩放系统
		type: Number
		default: 15
		
	attributionControl //右下角图标控制点是否显示
		type: Boolean
		default: false
		
	ismouseMark //手动添加标记
		type: Boolean
		default: true
		
	pointRemove //移除标记点
		type: Boolean
		default: true
		
```

> 方法

```js

	/**
   *  缩小地图
   * 
   * @param null
   * @returns 
   */
	map_zoomout
	
	/**
   *  放大地图
   * 
   * @param null
   * @returns 
   */
	map_zoomin
	
	 /**
   *  放大或缩小地图
   * 
   * @param: true / false
   * @returns 
   */
	map_zoomin
	
	/**
   *  地图移动
   * 
   * @param: center(见属性)
   * @returns 
   */
	map_moveto
	
	
	/**
   *  地图移动
   * 
   * @param 
   * @returns： 当前点击地图位置对象 
   */
	@mapclick
```
